# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Attributes

# vl::Dae::Mesh Struct Reference

COLLADA mesh. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::Mesh:

List of all members.

## Public Attributes

std::vector< ref< Dae::Input > > | mVertexInputs
std::vector< ref < Dae::Primitive > > | mPrimitives

## Detailed Description

COLLADA mesh.

Definition at line 276 of file DaeHelpers.hpp.

## Member Data Documentation

std::vector< ref<Dae::Input> > vl::Dae::Mesh::mVertexInputs

Definition at line 278 of file DaeHelpers.hpp.

std::vector< ref<Dae::Primitive> > vl::Dae::Mesh::mPrimitives

Definition at line 279 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::bindMaterials().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.